<!-- registrar-movimiento.component.html -->
<div class="max-w-lg mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4">Registrar Movimiento</h2>
  <form [formGroup]="RegistroForm">
  <div class="mb-4">
    <label for="tipo" class="block text-sm font-medium text-gray-700">Tipo</label>
    <select formControlName="tipo" required [class.is-invalid]="mostrarErrores && RegistroForm.get('tipo')?.invalid && RegistroForm.get('tipo')?.touched" id="tipo" name="tipo" class="mt-1 p-2 border border-gray-300 rounded-md w-full">
    <option value="Depósito">CREDITO</option>
      <option value="Retiro">DEBITO</option>
      <!-- Agregar más opciones si es necesario -->
    </select>
  </div>
  <div class="mb-4">
    <label for="fecha" class="block text-sm font-medium text-gray-700">Fecha</label>
    <input type="date" formControlName="fecha" required [class.is-invalid]="mostrarErrores && RegistroForm.get('fecha')?.invalid && RegistroForm.get('fecha')?.touched" id="fecha" name="fecha" class="mt-1 p-2 border border-gray-300 rounded-md w-full">
  </div>
  <div class="mb-4">
    <label for="valor" class="block text-sm font-medium text-gray-700">Valor</label>
    <input type="number" formControlName="valor" required [class.is-invalid]="mostrarErrores && RegistroForm.get('valor')?.invalid && RegistroForm.get('valor')?.touched" id="valor" name="valor" class="mt-1 p-2 border border-gray-300 rounded-md w-full">
  </div>
  <div class="mb-4">
    <label for="cuentaId" class="block text-sm font-medium text-gray-700">ID de Cuenta</label>
    <input type="number" formControlName="cuentaId" required [class.is-invalid]="mostrarErrores && RegistroForm.get('cuentaId')?.invalid && RegistroForm.get('cuentaId')?.touched" id="cuentaId" name="cuentaId" class="mt-1 p-2 border border-gray-300 rounded-md w-full">
  </div>
  <div class="flex justify-end">
    <button (click)="registrarMovimiento()" class="py-2 px-4 bg-indigo-600 text-white rounded-md">Registrar Movimiento</button>
  </div>
    <div class="mt-6">
      <button type="submit" (click)="regresar()" class="w-full py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
        Regresar
      </button>
    </div>
  </form>
</div>
